<puzzle gridsizex="12" gridsizey="9" minsolvemoves="5" parsolvemoves="5">
    <environment name="cave8" />
    <board name="field_12x9" />
    <gfxset name="cave" />
    <block type="levelsolvedtrigger" id="12688">
        <pos>
            <x>12</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="12689">
        <pos>
            <x>-2</x>
            <y>-2</y>
        </pos>
        <size>
            <x>16</x>
            <y>2</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="12690">
        <pos>
            <x>-2</x>
            <y>9</y>
        </pos>
        <size>
            <x>16</x>
            <y>2</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="12691">
        <pos>
            <x>-2</x>
            <y>0</y>
        </pos>
        <size>
            <x>2</x>
            <y>9</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="12692">
        <pos>
            <x>12</x>
            <y>0</y>
        </pos>
        <size>
            <x>2</x>
            <y>4</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="12693">
        <pos>
            <x>12</x>
            <y>5</y>
        </pos>
        <size>
            <x>2</x>
            <y>4</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="wall" id="12694">
        <pos>
            <x>13</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model></model>
    </block>
    <block type="obstacle" id="12838">
        <pos>
            <x>9</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>12839</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="flex" id="12839">
        <pos>
            <x>9</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12838</neighbor_n>
        <neighbor_s>12840</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pulling" id="12840">
        <pos>
            <x>9</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12839</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagn_end</model>
    </block>
    <block type="magnet_pushing" id="12844">
        <pos>
            <x>10</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12845</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="flex" id="12845">
        <pos>
            <x>11</x>
            <y>2</y>
        </pos>
        <size>
            <x>0</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12846</neighbor_e>
        <neighbor_w>12844</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="obstacle" id="12846">
        <pos>
            <x>11</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>12845</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="flex" id="12849">
        <pos>
            <x>10</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12850</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pulling" id="12850">
        <pos>
            <x>11</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>12849</neighbor_w>
        <model>blkmagn_end</model>
    </block>
    <block type="magnet_pushing" id="12853">
        <pos>
            <x>11</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>12854</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="flex" id="12854">
        <pos>
            <x>11</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>0</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12853</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pulling" id="12858">
        <pos>
            <x>9</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>12859</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagn_end</model>
    </block>
    <block type="flex" id="12859">
        <pos>
            <x>9</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12858</neighbor_n>
        <neighbor_s>12860</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="obstacle" id="12860">
        <pos>
            <x>9</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12859</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="magnet_pushing" id="12861">
        <pos>
            <x>10</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12862</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="flex" id="12862">
        <pos>
            <x>11</x>
            <y>6</y>
        </pos>
        <size>
            <x>0</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12863</neighbor_e>
        <neighbor_w>12861</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="obstacle" id="12863">
        <pos>
            <x>11</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>12862</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="flex" id="12866">
        <pos>
            <x>11</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>0</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>12867</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pushing" id="12867">
        <pos>
            <x>11</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12866</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="flex" id="12870">
        <pos>
            <x>10</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12871</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pulling" id="12871">
        <pos>
            <x>11</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>12870</neighbor_w>
        <model>blkmagn_end</model>
    </block>
    <block type="obstacle" id="12884">
        <pos>
            <x>0</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12885</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="flex" id="12885">
        <pos>
            <x>1</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12886</neighbor_e>
        <neighbor_w>12884</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pushing" id="12886">
        <pos>
            <x>2</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>12885</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="linked" id="12899">
        <pos>
            <x>8</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>12900</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blktwin_endb</model>
    </block>
    <block type="bridge" id="12900">
        <pos>
            <x>8</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12899</neighbor_n>
        <neighbor_s>12901</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkbri</model>
    </block>
    <block type="linked" id="12901">
        <pos>
            <x>8</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12900</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blktwin_endb</model>
    </block>
    <block type="player" id="12904">
        <pos>
            <x>3</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12905</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkplay_end</model>
    </block>
    <block type="player" id="12905">
        <pos>
            <x>4</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>12904</neighbor_w>
        <model>blkplay_end</model>
    </block>
    <block type="magnet_pushing" id="12932">
        <pos>
            <x>1</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>12933</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="flex" id="12933">
        <pos>
            <x>1</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12932</neighbor_n>
        <neighbor_s>12934</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="obstacle" id="12934">
        <pos>
            <x>1</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12933</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="obstacle" id="12947">
        <pos>
            <x>2</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>12948</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="flex" id="12948">
        <pos>
            <x>2</x>
            <y>4</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12947</neighbor_n>
        <neighbor_s>12949</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pushing" id="12949">
        <pos>
            <x>2</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>12948</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="obstacle" id="12971">
        <pos>
            <x>1</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12972</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkwall</model>
    </block>
    <block type="flex" id="12972">
        <pos>
            <x>2</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>12973</neighbor_e>
        <neighbor_w>12971</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="magnet_pushing" id="12973">
        <pos>
            <x>3</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>12972</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="normal" id="13028">
        <pos>
            <x>8</x>
            <y>0</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>13029</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="13029">
        <pos>
            <x>8</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>0</y>
        </size>
        <priority>0</priority>
        <neighbor_n>13028</neighbor_n>
        <neighbor_s>13030</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="13030">
        <pos>
            <x>8</x>
            <y>1</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>13029</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="normal" id="13031">
        <pos>
            <x>8</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>13032</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="flex" id="13032">
        <pos>
            <x>8</x>
            <y>7</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>13031</neighbor_n>
        <neighbor_s>13033</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkspr</model>
    </block>
    <block type="normal" id="13033">
        <pos>
            <x>8</x>
            <y>8</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>13032</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blk1_endb</model>
    </block>
    <block type="magnet_pushing" id="13052">
        <pos>
            <x>4</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>13053</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="linked" id="13053">
        <pos>
            <x>5</x>
            <y>5</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>13052</neighbor_w>
        <model>blktwin_endb</model>
    </block>
    <block type="magnet_pushing" id="13054">
        <pos>
            <x>4</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>13055</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blkmagp_end</model>
    </block>
    <block type="linked" id="13055">
        <pos>
            <x>5</x>
            <y>3</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>13054</neighbor_w>
        <model>blktwin_endb</model>
    </block>
    <block type="linked" id="13062">
        <pos>
            <x>5</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>13063</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blktwin_endb</model>
    </block>
    <block type="magnet_pulling" id="13063">
        <pos>
            <x>6</x>
            <y>2</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>13062</neighbor_w>
        <model>blkmagn_end</model>
    </block>
    <block type="linked" id="13064">
        <pos>
            <x>5</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>13065</neighbor_e>
        <neighbor_w>-1</neighbor_w>
        <model>blktwin_endb</model>
    </block>
    <block type="magnet_pulling" id="13065">
        <pos>
            <x>6</x>
            <y>6</y>
        </pos>
        <size>
            <x>1</x>
            <y>1</y>
        </size>
        <priority>0</priority>
        <neighbor_n>-1</neighbor_n>
        <neighbor_s>-1</neighbor_s>
        <neighbor_e>-1</neighbor_e>
        <neighbor_w>13064</neighbor_w>
        <model>blkmagn_end</model>
    </block>
</puzzle>
